Subject: Re: [Gen-art] Genart last call review of draft-ietf-mpls-ri-rsvp-frr-07
From: Chandrasekar Ramachandran <[email-masked]>
To: Theresa Enghardt <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 4 Dec 2019 18:11:57 +0000
List-Id: "GEN-ART: General Area Review Team" <gen-art.ietf.org>

Hi Theresa,
I will address all your comments in the next revision of the draft. Please see inline for more responses.

Thanks,
Chandra.

Juniper Business Use Only

> -----Original Message-----
> From: Theresa Enghardt via Datatracker <[email-masked]>
> Sent: Wednesday, October 30, 2019 3:12 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Genart last call review of draft-ietf-mpls-ri-rsvp-frr-07
> 
> Reviewer: Theresa Enghardt
> Review result: Ready with Nits
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area Review
> Team (Gen-ART) reviews all IETF documents being processed by the IESG for
> the IETF Chair.  Please treat these comments just like any other last call
> comments.
> 
> For more information, please see the FAQ at
> 
> <https://urldefense.com/v3/__https://trac.ietf.org/trac/gen/wiki/GenArtfaq
> __;!8WoA6RjC81c!VJusypwlMIp99fxAZbbzjHusxRuJ-
> XUr1j1Q2NN0fshIQNLXXBywtr1VKj3SmiM$ >.
> 
> Document: draft-ietf-mpls-ri-rsvp-frr-07
> Reviewer: Theresa Enghardt
> Review Date: 2019-10-30
> IETF LC End Date: 2019-11-05
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary: This draft is basically ready for publication, but has nits that
> should be fixed before publication.
> 
> Major issues: None.
> 
> Minor issues: None.
> 
> Nits/editorial comments:
> 
> The abstract is hard to parse and could be improved by fixing the following
> nits.
> 
> OLD: "Facility backup method allows"
> NEW: "The facility backup method allows"
>
> OLD: "The many-to-one nature of local repair technique"
> NEW: "The many-to-one nature of this local repair technique"
> 
> OLD: "This document enumerates facility backup procedures in RFC 4090"
> NEW: "This document enumerates the facility backup procedures in RFC
> 4090" [or "several facility backup procedures", if not all procedures are
> enumerated here]
> 
> OLD: "and hence make facility backup method refresh-interval dependent."
> NEW: "and hence make the facility backup method refresh-interval
> dependent."
> 
> OLD: "The RSVP-TE extensions defined in this document will enhance"
> NEW: "This document defines RSVP-TE extensions to enhance"
> 

[Chandra] Will update all the above in the next version of the draft.

> Are "facility backup method", "facility backup procedure" and "facility
> backup protection mechanism" all the same thing? Please consider using
> only a single term to avoid confusion.
>

[Chandra] Yes, they refer to the same and will use "facility backup protection mechanism" in all places.

> Please double-check the use of definite and indefinite articles in the rest of
> the document as well.

[Chandra] Yes, I will go parse the document fully and address this comment.